<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
  <meta charset="utf-8">
  <title data-l10n-id="fte">Usage First Time Experience</title>

  <!-- Building blocks -->
  <link rel="stylesheet" type="text/css" href="shared/style/headers.css">
  <link rel="stylesheet" type="text/css" href="shared/style/buttons.css">
  <link rel="stylesheet" type="text/css" href="shared/style/input_areas.css">
  <link rel="stylesheet" type="text/css" href="shared/style/switches.css">

  <!-- App and Views -->
  <link rel="stylesheet" type="text/css" href="style/app.css">
  <link rel="stylesheet" type="text/css" href="style/views/settings.css">
  <link rel="stylesheet" type="text/css" href="style/views/firsttime.css">
  <link rel="stylesheet" type="text/css" href="style/views/datalimits.css">

  <!-- Localization -->
  <link rel="resource" type="application/l10n" href="locales/locales.ini">
  <link rel="resource" type="application/l10n" href="shared/locales/date.ini" />

  <!-- Shared code -->
  <script type="text/javascript" src="shared/js/l10n.js"></script>
  <script type="text/javascript" src="shared/js/l10n_date.js"></script>
  <script type="text/javascript" defer src="shared/js/format.js"></script>
  <script type="text/javascript" src="shared/js/async_storage.js"></script>
  <script type="text/javascript" src="shared/js/settings_listener.js"></script>
  <script type="text/javascript" src="shared/js/lazy_loader.js"></script>
  <script type="text/javascript" src="shared/js/font_size_utils.js"></script>
  <script type="text/javascript" defer src="shared/js/performance_testing_helper.js"></script>

  <!-- Specific code -->
  <script type="text/javascript" defer src="js/fte.js"></script>
</head>

<body role="application" class="skin-organic">

  <!-- First time experience -->
  <section id="firsttime-view" class="view step-1">
    <ol class="step-state">
      <li>Select plan type</li>
      <li>Set balance reminders</li>
      <li>Set data report and alert</li>
    </ol>

   <!-- Global Step 1 -->
    <section role="region" class="view step" data-viewport="" id="step-1">
      <header>
        <h1 data-l10n-id="fte-welcome-title">Welcome</h1>
      </header>
      <section class="content">
        <div class="authed-sim" aria-hidden="true">
          <h2 data-l10n-id="fte-authed-sim">Save money by keeping track of your phone and internet usage.</h2>
        </div>
        <div class="nonauthed-sim" aria-hidden="true">
          <h2 data-l10n-id="fte-nonauthed-sim">Save money by keeping track of your internet usage.</h2>
        </div>
        <div class="no-sim" aria-hidden="true">
          <h2 data-l10n-id="fte-no-sim">Get clear information about how much internet you're using.</h2>
        </div>
        <p data-l10n-id="fte-sim-info2" class="info">Information shown on usage comes directly from this device. Check with your mobile service provider for detailed account information.</p>
      </section>
      <menu>
        <button class="recommend" data-navigation="next">
          <span></span>
          <span data-l10n-id="next">Next</span>
        </button>
      </menu>
    </section>

    <!-- Step 2 -->
    <section role="region" class="view step" data-viewport="right" id="step-2">
      <header>
        <h1 data-l10n-id="fte-plantype-title">Type of contract</h1>
      </header>
      <ul class="content choices">
        <li>
          <label for="prepaid-plan" class="pack-radio">
            <input type="radio" name="plan" id="prepaid-plan" value="prepaid">
            <span data-l10n-id="im-prepaid">I’m Pre-paid</span>
          </label>
        </li>
        <li>
          <label for="postpaid-plan" class="pack-radio">
            <input type="radio" name="plan" id="postpaid-plan" value="postpaid">
            <span data-l10n-id="im-postpaid">I’m Post-paid</span>
          </label>
        </li>
      </ul>
      <p class="step-hint" data-l10n-id="fte-plantype-hint">Select the type of contract you have with your mobile service provider.</p>
      <menu data-items="2">
        <button data-navigation="back">
          <span></span>
          <span data-l10n-id="back">Back</span>
        </button>
        <button id="to-step-2" class="recommend" data-navigation="next">
          <span></span>
          <span data-l10n-id="next">Next</span>
        </button>
      </menu>
    </section>

    <!-- Prepaid step 2 -->
    <section role="region" class="view step" data-viewport="right" id="prepaid-step-2">
      <header>
        <h1 data-l10n-id="fte-prepaid2-title">Low balance alert</h1>
      </header>
      <section class="content">
        <ul class="settings">
          <li>
            <label class="pack-switch end">
              <input id="low-limit" class="settings-option" data-option="lowLimit" type="checkbox" checked="checked">
              <span></span>
            </label>
            <p data-l10n-id="low-balance-alert">Low Balance alert</p>
          </li>
          <li>
            <label class="end" for="low-limit-input">
              <span id="currency"></span>
              <input id="low-limit-input" class="settings-option" data-option="lowLimitThreshold" data-disable-on="lowLimit=false" type="number" step="any">
            </label>
            <p data-l10n-id="low-balance-explanation2">When balance is below</p>
          </li>
        </ul>
        <p class="step-hint" data-l10n-id="fte-prepaid2-hint">Set an alert to avoid running out of credit.</p>
      </section>
      <menu data-items="2">
        <button data-navigation="back">
          <span></span>
          <span data-l10n-id="back">Back</span>
        </button>
        <button id="low-limit-next-button" class="recommend" data-navigation="next">
          <span></span>
          <span data-l10n-id="next">Next</span>
        </button>
      </menu>
    </section>

    <!-- Prepaid step 3 -->
    <section role="region" class="view step" data-viewport="right" id="prepaid-step-3">
      <header>
        <h1 data-l10n-id="fte-prepaid3-title">Data Report and Alert</h1>
      </header>
      <section class="content">
        <ul class="settings">
          <li>
            <p data-l10n-id="reset-report">Reset report</p>
            <span class="button icon icon-dialog fake-select">
              <select class="settings-option" data-option="trackingPeriod">
                <option value="monthly" data-l10n-id="monthly">Monthly</option>
                <option value="weekly" data-l10n-id="weekly">Weekly</option>
                <option value="never" data-l10n-id="never">Never</option>
              </select>
            </span>
          </li>
          <li>
            <p data-l10n-id="starting-on">Starting on</p>
            <span class="button icon icon-dialog fake-select">
              <select id="pre3-select-weekday" class="settings-option" data-option="resetTime" data-hide-on="trackingPeriod!=weekly" data-disable-on="trackingPeriod!=weekly">
                <option class="monday" value="1" data-l10n-id="monday">Monday</option>
                <option value="2" data-l10n-id="tuesday">Tuesday</option>
                <option value="3" data-l10n-id="wednesday">Wednesday</option>
                <option value="4" data-l10n-id="thursday">Thursday</option>
                <option value="5" data-l10n-id="friday">Friday</option>
                <option value="6" data-l10n-id="saturday">Saturday</option>
                <option class="sunday" value="0" data-l10n-id="sunday">Sunday</option>
              </select>
            </span>
          </li>
          <li>
            <div class="end buttons-list">
              <span class="button icon icon-dialog fake-select">
                <select class="settings-option icon icon-dialog" data-option="resetTime" data-hide-on="trackingPeriod!=monthly" data-disable-on="trackingPeriod!=monthly">
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3">3</option>
                  <option value="4">4</option>
                  <option value="5">5</option>
                  <option value="6">6</option>
                  <option value="7">7</option>
                  <option value="8">8</option>
                  <option value="9">9</option>
                  <option value="10">10</option>
                  <option value="11">11</option>
                  <option value="12">12</option>
                  <option value="13">13</option>
                  <option value="14">14</option>
                  <option value="15">15</option>
                  <option value="16">16</option>
                  <option value="17">17</option>
                  <option value="18">18</option>
                  <option value="19">19</option>
                  <option value="20">20</option>
                  <option value="21">21</option>
                  <option value="22">22</option>
                  <option value="23">23</option>
                  <option value="24">24</option>
                  <option value="25">25</option>
                  <option value="26">26</option>
                  <option value="27">27</option>
                  <option value="28">28</option>
                  <option value="29">29</option>
                  <option value="30">30</option>
                  <option value="31">31</option>
                </select>
              </span>
            </div>
            <p data-l10n-id="starting-on">Starting on</p>
          </li>
          <li>
            <label class="pack-switch end">
              <input class="settings-option" data-option="dataLimit" type="checkbox">
              <span></span>
            </label>
            <p data-l10n-id="data-limit-alert">Data use alert</p>
          </li>
          <li>
            <p data-l10n-id="data-limit-value2">When use is above</p>
            <button class="settings-option icon icon-dialog" data-widget-type="data-limit"  data-disable-on="dataLimit=false" data-hide-on="dataLimit=false">
              <span class="tag"></span>
            </button>
          </li>
        </ul>
        <p class="step-hint" data-l10n-id="fte-prepaid3-hint">Receive reports about your Internet usage and set an alert to avoid using too much.</p>
      </section>
      <menu data-items="2">
        <button data-navigation="back">
          <span></span>
          <span data-l10n-id="back">Back</span>
        </button>
        <button class="recommend" data-navigation="finish">
          <span></span>
          <span data-l10n-id="lets-go">Let’s go!</span>
        </button>
      </menu>
    </section>

    <!-- Postpaid step 2 -->
    <section role="region" class="view step" data-viewport="right" id="postpaid-step-2">
      <header>
        <h1 data-l10n-id="fte-postpaid2-title">Phone and Data Report</h1>
      </header>
       <ul class="content settings">
        <li>
          <p data-l10n-id="reset-report">Reset report</p>
          <span class="button icon icon-dialog fake-select">
            <select class="settings-option" data-option="trackingPeriod">
              <option value="monthly" data-l10n-id="monthly">Monthly</option>
              <option value="weekly" data-l10n-id="weekly">Weekly</option>
              <option value="never" data-l10n-id="never">Never</option>
            </select>
          </span>
        </li>
        <li>
          <p data-l10n-id="starting-on">Starting on</p>
          <span class="button icon icon-dialog fake-select">
            <select id="post2-select-weekday" class="settings-option" data-option="resetTime" data-hide-on="trackingPeriod!=weekly" data-disable-on="trackingPeriod!=weekly">
              <option class="monday" value="1" data-l10n-id="monday">Monday</option>
              <option value="2" data-l10n-id="tuesday">Tuesday</option>
              <option value="3" data-l10n-id="wednesday">Wednesday</option>
              <option value="4" data-l10n-id="thursday">Thursday</option>
              <option value="5" data-l10n-id="friday">Friday</option>
              <option value="6" data-l10n-id="saturday">Saturday</option>
              <option class="sunday" value="0" data-l10n-id="sunday">Sunday</option>
            </select>
          </span>
        </li>
        <li>
          <div class="end buttons-list">
            <span class="button icon icon-dialog fake-select">
              <select class="settings-option icon icon-dialog" data-option="resetTime" data-hide-on="trackingPeriod!=monthly" data-disable-on="trackingPeriod!=monthly">
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
                <option value="5">5</option>
                <option value="6">6</option>
                <option value="7">7</option>
                <option value="8">8</option>
                <option value="9">9</option>
                <option value="10">10</option>
                <option value="11">11</option>
                <option value="12">12</option>
                <option value="13">13</option>
                <option value="14">14</option>
                <option value="15">15</option>
                <option value="16">16</option>
                <option value="17">17</option>
                <option value="18">18</option>
                <option value="19">19</option>
                <option value="20">20</option>
                <option value="21">21</option>
                <option value="22">22</option>
                <option value="23">23</option>
                <option value="24">24</option>
                <option value="25">25</option>
                <option value="26">26</option>
                <option value="27">27</option>
                <option value="28">28</option>
                <option value="29">29</option>
                <option value="30">30</option>
                <option value="31">31</option>
              </select>
            </span>
          </div>
          <p data-l10n-id="starting-on">Starting on</p>
        </li>
      </ul>
      <p class="step-hint" data-l10n-id="fte-postpaid2-hint">Receive reports about your phone and Internet usage.</p>
      <menu data-items="2">
        <button data-navigation="back">
          <span></span>
          <span data-l10n-id="back">Back</span>
        </button>
        <button class="recommend" data-navigation="next">
          <span></span>
          <span data-l10n-id="next">Next</span>
        </button>
      </menu>
    </section>

    <!-- Postpaid step 3 -->
    <section role="region" class="view step" data-viewport="right" id="postpaid-step-3">
      <header>
        <h1 data-l10n-id="fte-postpaid3-title">Data Alert</h1>
      </header>
      <section class="content">
        <ul class="settings">
          <li>
            <label class="pack-switch end">
              <input class="settings-option" data-option="dataLimit" type="checkbox">
              <span></span>
            </label>
            <p data-l10n-id="data-limit-alert">Data use alert</p>
          </li>
          <li>
            <p data-l10n-id="data-limit-value2">When use is above</p>
            <button class="settings-option icon icon-dialog" data-widget-type="data-limit" data-disable-on="dataLimit=false" data-hide-on="dataLimit=false">
              <span class="tag"></span>
            </button>
          </li>
        </ul>
        <p class="step-hint" data-l10n-id="fte-postpaid3-hint">Set an alert to avoid using too much data.</p>
      </section>
      <menu data-items="2">
        <button data-navigation="back">
          <span></span>
          <span data-l10n-id="back">Back</span>
        </button>
        <button class="recommend" data-navigation="finish">
          <span></span>
          <span data-l10n-id="lets-go">Let’s go!</span>
        </button>
      </menu>
    </section>

    <!-- Non VIVO step 2 -->
    <section role="region" class="view step" data-viewport="right" id="non-vivo-step-1">
      <header>
        <h1 data-l10n-id="fte-onlydata2-title">Data Report</h1>
      </header>
      <ul class="content settings">
        <li>
          <p data-l10n-id="reset-report">Reset report</p>
          <span class="button icon icon-dialog fake-select">
            <select class="settings-option" data-option="trackingPeriod">
              <option value="monthly" data-l10n-id="monthly">Monthly</option>
              <option value="weekly" data-l10n-id="weekly">Weekly</option>
              <option value="never" data-l10n-id="never">Never</option>
            </select>
          </span>
        </li>
        <li>
          <p data-l10n-id="starting-on">Starting on</p>
          <span class="button icon icon-dialog fake-select">
            <select id="non2-select-weekday" class="settings-option" data-option="resetTime" data-hide-on="trackingPeriod!=weekly" data-disable-on="trackingPeriod!=weekly">
              <option class="monday" value="1" data-l10n-id="monday">Monday</option>
              <option value="2" data-l10n-id="tuesday">Tuesday</option>
              <option value="3" data-l10n-id="wednesday">Wednesday</option>
              <option value="4" data-l10n-id="thursday">Thursday</option>
              <option value="5" data-l10n-id="friday">Friday</option>
              <option value="6" data-l10n-id="saturday">Saturday</option>
              <option class="sunday" value="0" data-l10n-id="sunday">Sunday</option>
            </select>
          </span>
        </li>
        <li>
          <div class="end buttons-list">
            <span class="button icon icon-dialog fake-select">
              <select class="settings-option icon icon-dialog" data-option="resetTime" data-hide-on="trackingPeriod!=monthly" data-disable-on="trackingPeriod!=monthly">
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
                <option value="5">5</option>
                <option value="6">6</option>
                <option value="7">7</option>
                <option value="8">8</option>
                <option value="9">9</option>
                <option value="10">10</option>
                <option value="11">11</option>
                <option value="12">12</option>
                <option value="13">13</option>
                <option value="14">14</option>
                <option value="15">15</option>
                <option value="16">16</option>
                <option value="17">17</option>
                <option value="18">18</option>
                <option value="19">19</option>
                <option value="20">20</option>
                <option value="21">21</option>
                <option value="22">22</option>
                <option value="23">23</option>
                <option value="24">24</option>
                <option value="25">25</option>
                <option value="26">26</option>
                <option value="27">27</option>
                <option value="28">28</option>
                <option value="29">29</option>
                <option value="30">30</option>
                <option value="31">31</option>
              </select>
            </span>
          </div>
          <p data-l10n-id="starting-on">Starting on</p>
        </li>
      </ul>
      <p class="step-hint" data-l10n-id="fte-onlydata2-hint">Set an alert to avoid using too much data.</p>
      <menu data-items="2">
        <button data-navigation="back">
          <span></span>
          <span data-l10n-id="back">Back</span>
        </button>
        <button class="recommend" data-navigation="next">
          <span></span>
          <span data-l10n-id="next">Next</span>
        </button>
      </menu>
    </section>

    <!-- Non VIVO step 3 -->
    <section role="region" class="view step" data-viewport="right" id="non-vivo-step-2">
      <header>
        <h1 data-l10n-id="fte-onlydata3-title">Data Alert</h1>
      </header>
      <ul class="content settings">
        <li>
          <label class="pack-switch end">
            <input class="settings-option" data-option="dataLimit" type="checkbox">
            <span></span>
          </label>
          <p data-l10n-id="data-limit-alert">Data use alert</p>
        </li>
        <li>
          <p data-l10n-id="data-limit-value2">When use is above</p>
          <button class="settings-option icon icon-dialog" data-widget-type="data-limit" data-disable-on="dataLimit=false" data-hide-on="dataLimit=false">
            <span class="tag"></span>
          </button>
        </li>
      </ul>
      <p class="step-hint" data-l10n-id="fte-onlydata3-hint">Set an alert to avoid using too much data.</p>
      <menu data-items="2">
        <button data-navigation="back">
          <span></span>
          <span data-l10n-id="back">Back</span>
        </button>
        <button class="recommend" data-navigation="finish">
          <span></span>
          <span data-l10n-id="lets-go">Let’s go!</span>
        </button>
      </menu>
    </section>
  </section>

  <!-- Data usage limits -->
  <section role="region" id="data-limit-dialog" class="view" data-viewport="bottom">
    <header>
      <menu type="toolbar">
        <button id="data-usage-done-button" data-l10n-id="done" class="recommend">Done</button>
      </menu>
      <a class="cancel"><span id="data-usage-close-button" class="icon icon-close">close</span></a>
      <h1 data-l10n-id="data-limit-header">Data usage limit</h1>
    </header>
    <section class="content">
      <div class="info">
        <h2 data-l10n-id="data-limit-dialog-title2">Enter a mobile data limit alert</h2>
        <p data-l10n-id="data-limit-dialog-explanation2">
          Connection speeds reduce after the limit is reached. Check with your data provider to set an appropriate alert level.
        </p>
      </div>
    </section>
    <form>
      <ul class="buttons-list">
        <li>
          <button class="icon icon-dialog switch-unit-button">
            <span class="tag"></span>
          </button>
        </li>
      </ul>
      <label for="data-limit-input">
        <input id="data-limit-input" type="number" step="any" />
      </label>
    </form>
  </section>

  <iframe id="message-handler" src=""></iframe>
</body>
</html>
